<template>
  <NuxtLayout name="landing">
    <ContentBuilder :content="content" />
  </NuxtLayout>
</template>

<script setup lang="ts">
import type Homepage from "~~/types/single/homepage";

const { findOne } = useStrapi();

const { data: homepage } = await useAsyncData("homepage", () => findOne<Homepage>("homepage"));
const { content } = homepage.value?.data ?? {};
</script>
